---
title: "Retrieve a Specific Weight Measures By Code"
slug: "retrieve-a-specific-weight-measures-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-a-specific-weight-measures-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Specific Weight Measures By Code

Get/sys-rest-api/rest/1/weightmeasure

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select by Weight Measure Finder

#### Select by Weight Meansure Finder

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| WmCodeVar | Weight Measure Code | CY |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleWeightmeasureFinder;WmCodeVar=CY
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleWmName:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='0ef1933b-e43c-4a9e-a2f9-2c9351266919'>application/json</option>
</select>

```json
{
  "items": [
    {
      "WmCode": "CY",
      "WmName": "Cubic Yard",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/weightmeasure/CY",
          "name": "weightmeasure",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/weightmeasure/CY",
          "name": "weightmeasure",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/weightmeasure",
      "name": "weightmeasure",
      "kind": "collection"
    }
  ]
}
```

object
